Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::IORInterceptor Interface Reference

`#include <PortableInterceptorC.h>`

Inheritance diagram for PortableInterceptor::IORInterceptor:

[legend]
Collaboration diagram for PortableInterceptor::IORInterceptor:

[legend]
List of all members.

## Public Types
typedef IORInterceptor_ptr | _ptr_type
typedef IORInterceptor_var | _var_type
## Public Methods
void | establish_components (in IORInfo info)
void | components_established (in IORInfo info)
void | adapter_manager_state_changed (in AdapterManagerId id, in AdapterState state)
void | adapter_state_changed (in ObjectReferenceTemplateSeq templates, in AdapterState state)
virtual void | establish_components (PortableInterceptor::IORInfo_ptr info ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | components_established (PortableInterceptor::IORInfo_ptr info ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | adapter_manager_state_changed (PortableInterceptor::AdapterManagerId id, PortableInterceptor::AdapterState state ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | adapter_state_changed (const PortableInterceptor::ObjectReferenceTemplateSeq &templates, PortableInterceptor::AdapterState state ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. More...
virtual const char * | _interface_repository_id (void) const
| The repository ID for the most derived class, this is an implementation method and does no remote invocations! More...
## Static Public Methods
IORInterceptor_ptr | _duplicate (IORInterceptor_ptr obj)
IORInterceptor_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
IORInterceptor_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
IORInterceptor_ptr | _nil (void)
| Return a NULL object. More...
## Static Public Attributes
int | _tao_class_id
| Address of this variable used in _unchecked_narrow(). More...
## Protected Methods
| IORInterceptor (void)
virtual | ~IORInterceptor (void)
## Private Methods
| IORInterceptor (const IORInterceptor &)
void | operator= (const IORInterceptor &)

## Member Typedef Documentation

typedef IORInterceptor_ptr PortableInterceptor::IORInterceptor::_ptr_type

| Reimplemented from PortableInterceptor::Interceptor.

typedef IORInterceptor_var PortableInterceptor::IORInterceptor::_var_type

| Reimplemented from PortableInterceptor::Interceptor.

## Constructor & Destructor Documentation

PortableInterceptor::IORInterceptor::IORInterceptor | ( | void |  | ) | `[protected]`

virtual PortableInterceptor::IORInterceptor::~IORInterceptor | ( | void |  | ) | `[protected, virtual]`

PortableInterceptor::IORInterceptor::IORInterceptor | ( | const IORInterceptor & |  | ) | `[private]`

## Member Function Documentation

IORInterceptor_ptr PortableInterceptor::IORInterceptor::_duplicate | ( | IORInterceptor_ptr | obj | ) | `[static]`

virtual const char* PortableInterceptor::IORInterceptor::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from PortableInterceptor::Interceptor.

IORInterceptor_ptr PortableInterceptor::IORInterceptor::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from PortableInterceptor::Interceptor.

IORInterceptor_ptr PortableInterceptor::IORInterceptor::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from PortableInterceptor::Interceptor.

virtual void* PortableInterceptor::IORInterceptor::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. Reimplemented from PortableInterceptor::Interceptor.

IORInterceptor_ptr PortableInterceptor::IORInterceptor::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from PortableInterceptor::Interceptor.

virtual void PortableInterceptor::IORInterceptor::adapter_manager_state_changed | ( | PortableInterceptor::AdapterManagerId | id,
|  | PortableInterceptor::AdapterState state | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[pure virtual]`

void PortableInterceptor::IORInterceptor::adapter_manager_state_changed | ( | in AdapterManagerId | id,
|  | in AdapterState | state
| ) |

virtual void PortableInterceptor::IORInterceptor::adapter_state_changed | ( | const PortableInterceptor::ObjectReferenceTemplateSeq & | templates,
|  | PortableInterceptor::AdapterState state | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[pure virtual]`

void PortableInterceptor::IORInterceptor::adapter_state_changed | ( | in ObjectReferenceTemplateSeq | templates,
|  | in AdapterState | state
| ) |

virtual void PortableInterceptor::IORInterceptor::components_established | ( | PortableInterceptor::IORInfo_ptr info | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

void PortableInterceptor::IORInterceptor::components_established | ( | in IORInfo | info | ) |

virtual void PortableInterceptor::IORInterceptor::establish_components | ( | PortableInterceptor::IORInfo_ptr info | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

void PortableInterceptor::IORInterceptor::establish_components | ( | in IORInfo | info | ) |

void PortableInterceptor::IORInterceptor::operator= | ( | const IORInterceptor & |  | ) | `[private]`

## Member Data Documentation

int PortableInterceptor::IORInterceptor::_tao_class_id`[static]`

| Address of this variable used in _unchecked_narrow(). Reimplemented from PortableInterceptor::Interceptor.

The documentation for this interface was generated from the following files:

- PortableInterceptor.pidl
- PortableInterceptorC.h